package com.kcim.common.enums;

import lombok.Getter;

/**
* @program: CostAccount
* @description: 
* @author: Wang.YS
* @create: 2024-01-18 19:41
**/
@Getter
public enum DefaultComputeColumnEnum {
    /**
     * 责任中心代码
     */
    RESPONSIBILITY_CODE("responsibilityCode", "责任中心代码"),
    /**
     * 责任中心名称
     */
    RESPONSIBILITY_NAME("responsibilityName", "责任中心名称"),
    /**
     * 项目代码
     */
    ITEM_CODE("itemCode", "项目代码"),
    /**
     * 项目名称
     */
    ITEM_NAME("itemName", "项目名称"),
    /**
     * 项目分类
     */
    ITEM_TYPE("itemType", "项目分类"),
    /**
     * 收费项目编码
     */
    MEDICAL_ITEM_CODE("medicalItemCode", "收费项目编码"),
    /**
     * 收费项目名称
     */
    MEDICAL_ITEM_NAME("medicalItemName", "收费项目名称"),
    /**
     * 项目收入
     */
    ITEM_INCOME("itemIncome", "项目收入"),
    /**
     * 项目成本
     */
    ITEM_COST("itemCost", "项目成本"),
    /**
     * 科室代码
     */
    DEPARTMENT_CODE("departmentCode","科室代码"),
    /**
     * 科室名称
     */
    DEPARTMENT_NAME("departmentName","科室名称"),
    /**
     * 住院号/病历号
     */
    VISITOR_CODE("visitNo","住院号/病历号"),
    /**
     * 病人id
     */
    PATIENT_CODE("patientId","病人id"),
    /**
     * 患者姓名
     */
    PATIENT_NAME("patientName","患者姓名"),
;
    private final String code;
    private final String name;

    DefaultComputeColumnEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

}
